IF OBJECT_ID('dbo.vw_fco_pi_pens_rt1') IS NOT NULL
    DROP VIEW dbo.vw_fco_pi_pens_rt1
GO
CREATE VIEW dbo.vw_fco_pi_pens_rt1
AS
/*************************************************************************/
-- Modulo Fiscal Colombiano 2.0 ADAM V3
-- Descripcion: Archivo Plano Planilla Integrada Pensionados Registro Tipo 1
-- Autor: Juan Carlos Leguizamon
-- Fecha: Julio 2006
-- Revisiones:
/*************************************************************************/
SELECT
    compania, anio, mes, sucursal,
    '01' + RIGHT('00000' + RTRIM(secuencia), 5) + CONVERT(char(150), razon_social) +
    tipo_documento + CONVERT(char(16), nro_id) + dv + 
    ISNULL((select forma_presentacion from vw_fco_companias x where x.compania = a.compania), 'C') + -- JCL Ajuste Dic-07-06
    sucursal + CONVERT(char(40), nombre_sucursal) + 
    Left(periodo, 4) + '-' + Right(periodo, 2) + -- JCL Ajuste de junio 21/06
    Left(periodo_salud, 4) + '-' + Right(periodo_salud, 2) + -- JCL Ajuste de junio 21/06
    Right('0000000000' + nro_radicacion, 10) + -- CONVERT(char(10), nro_radicacion) + JCL Ajuste Nov-07-06
    Convert(char(10), getdate(), 120) + -- JCL Ajuste de junio 21/06
    RIGHT('0000000' + RTRIM(nro_pensionados), 7) + 
    RIGHT('000000000000' + RTRIM(valor_nomina), 12) + '1' +
    '00' AS registro1 --operador AS registro1 -- JCL Ajuste de Nov-07-06
FROM fco_pi_pens_rt1 a
GO
GRANT SELECT ON dbo.vw_fco_pi_pens_rt1 TO PUBLIC
GO
